<?php
//-----------------------------------------------------------------------------------'
//--                        Copyright (C) 2008 - 2010 by                           --'
//--                                                                               --'
//--                    -- TEC-IT Datenverarbeitung GmbH --                 	   --'
//--   -- team for engineering and consulting in information technologies 		 ----'
//--                                                                        	   --'
//--                           All rights reserved.                           	   --'
//--                                                                        	   --'
//--              This is a part of the TEC-IT Standard Software.           	   --'
//--                                                                         	   --'
//--    This source code is only intended as a supplement to the References        --'
//--      and related electronic documentation provided with the product.   	   --'
//--                                                                        	   --'
//--     See these sources for detailed information regarding this product  	   --'
//-----------------------------------------------------------------------------------'

	
// *******************************************************************************
// ***************************** SAMPLE CODE *************************************
// *******************************************************************************

global $text, $imageformat, $dpi, $width, $height;

// retrieve get parameters
foreach($_GET as $key => $value)
  $$key = $value;


// Create the barcode object
$obj = new COM("TBarCode10.TBarCode10");


// $obj->LicenseMe ("Name", 3, 1, "Key", [2002] [2003]);

// The text property is transmitted via URL parameters
// To ensure that all characters can be transmitted correctly we use urlencode, ..decode

$text = urldecode($text);

if ($text == "")
	$text = "600032700000000001148";


$obj->Barcode = 20; // eBC_Code128
$obj->Text    = $text; 	 // Set the text property (content) of the bar code

	
// set image output format to 6 (PNG)
if ($imageformat == "") $imageformat = 6;

/*
At 200 dpi 0.005 mils = 1 Pixel module width. Total bar code width 1 inch = 200 Pixels
At 600 dpi 0.005 mils = 3 Pixel module width. Total bar code width 1 inch = 600 Pixels

The html image tag uses always 96 dpi for rendering, so we have to specify <img width="96" ..> to get 1 inch total width.
*/

$totalWidthPx = 200;

$defaultY = 100; 			// height in Pixels = 1/2 inch
$moduleWidthPx  = 1;   		// 1 Pixel horizontal scaling for 200 dpi = 1
//$moduleWidthPx  = 3;   	// 1 Pixel horizontal scaling for 600 dpi = 3

// get number of modules for linear symbology
$CM = $obj->CountModules;

$xsize = $totalWidthPx;   // $xsize = (int) ($FaktorX * $CM);
$ysize = $defaultY;

$obj->QuietZoneUnit = 5; // specify QZ in modules
$obj->QuietZoneRight = ($totalWidthPx/$moduleWidthPx) - $CM; // fill up until we have 1 inch width
// $obj->QuietZoneRight = 200 - $CM; // fill up until we have 1 inch width (200 Pixels)


// set font
$fnt = new COM("StdFont");
$fnt->name = "Arial";
$fnt->size = (Double)(9);
$obj->Font = $fnt;


// reduce oversized input parameters
if ($xsize > 25400) $xsize = 25400;
if ($ysize > 25400) $ysize = 25400;


header ("Content-Transfer-Encoding:binary");

// specify the MIME type of the data stream
if ($imageformat==0) 
{
	header("Content-type:image/BMP");
	$Format="bmp";
}
elseif ($imageformat==3) 
{
	header("Content-type:image/GIF");
	$Format="gif";
}
elseif ($imageformat==4) 
{
	header("Content-type:image/JPEG");
	$Format="jpg";
}
elseif ($imageformat==6) 
{
	header("Content-type:image/PNG");
	$Format="png";
}
elseif ($imageformat==7) 
{
	header("Content-type:image/TIFF");
	$Format="tif";
}

// save barcode to file temporarily
$unique_filename = "tmp~" . uniqid(rand()) . "." . $Format;
//$path = realpath(".") . "\\images\\" . $unique_filename;
$path = "c:\\temp\\" . $unique_filename;


$Errortext = "";

//echo $path;
if ($obj->LastErrorNo == 0)
{
    $obj->SaveImage ($path, $imageformat, $xsize, $ysize, 96, 96);  // create and save the bar code
}
else
{
    // if error occurs, then generate another bar code with errortext
    $Errortext = $obj->LastError;
    $obj->BarCode = 20;
    $obj->CompositeComponent = 0;
    $obj->Text = $Errortext;
    $obj->SaveImage ($path, $imageformat, 405, 100, 300, 300);
}

// read the whole file and send it to the browser
$fp=fopen($path, "rb"); 
fpassthru($fp); 
flush();
fclose ($fp);

// hint: we didn't use readfile($path); because we had problems with binary files on apache

// deletes the file
unlink ($path);

?>